use extism_pdk::*;

#[plugin_fn]
pub fn greet(name: String) -> FnResult<String> {
    Ok(format!("Hello, {}!", name))
}

#[plugin_fn]
pub fn count_vowels(sentence: String) -> FnResult<String> {
    let vowels = "aeiouAEIOU";
    let mut vowel_count = 0;
    for c in sentence.chars() {
        if vowels.contains(c) {
            vowel_count += 1;
        }
    }
    Ok(format!("{vowel_count}"))
}
